<template>
    <div>
            <div class="inputgroup">
                <label for="setpoint">Setpoint</label>
                <select name="setpoint" id="setpoint" class="input" v-model="setpoint">
                     <option disabled value=""></option>
                    <option value="1">1</option>
                    <option value="2">2</option>
                </select>
            </div>
        <h3>Grundeinstellungen</h3>
        <div class="inputgroups">
            <div class="inputgroup">
                <label for="grundzeitInMin">Geplante Grundzeit</label>
                <input id="grundzeitInMin" class="input" type="text" v-model="timeInMin">
            </div>
            <div class="inputgroup">
                <label for="maxDepth">Maximale Grundtiefe</label>
                <input id="maxDepth" class="input" type="text" v-model="depthInMeters">
            </div>
            <div>{{store.getGroundParameter.groundTime}} minutes at {{store.getGroundParameter.groundDepth}} meters at setpoint {{store.getSetpoint}}</div>
        </div>
        <h3>Aufstieg in Meter pro Minute (m/min)</h3>
        <div class="inputgroups">
            <div class="inputgroup">
                <label>Bis Decostop</label>
                <input class="input" v-model="ascendToDeco" type="text">
            </div>
            <div class="inputgroup">
                <label>Bis Gaswechsel</label>
                <input class="input" v-model="ascendToGasChange" type="text">
            </div>
            <div class="inputgroup">
                <label>Bis Oberfläche</label>
                <input class="input" v-model="ascendToSurface" type="text">
            </div>
            <div> we have {{store.getAscendParameter.toDeco}} to Decostop and {{store.getAscendParameter.toGasChange}} to gas change and {{store.getAscendParameter.toSurface}} to surface</div>
        </div>
        <h3>AMV der Tauchgruppe</h3>
        <div class="inputgroups">
            <div class="inputgroup">
                <label >AMV Taucher 1</label>
                <input class="input" v-model="diversAMS[0]" type="text">
            </div>
            <div class="inputgroup">
                <label >AMV Taucher 2</label>
                <input class="input" v-model="diversAMS[1]" type="text">
            </div>
            <div>the first diver has an AMS of {{diversAMS[0]}} and the second diver has an AMS of {{diversAMS[1]}}</div>
            <div>Highest AMS: {{store.getHighestAMS}}</div>
        </div>
        <button v-on:click="calc">Calculate</button>

    </div>
</template>
<script>
import { useDiveStore } from '@/stores/diveStore';
export default {
    setup() {
        const store = useDiveStore()
        return {
            // you can return the whole store instance to use it in the template
            store,
        }
    },
    data() {
        return {
            setpoint: "",
            depthInMeters: 40,
            timeInMin: 45,
            ascendToDeco: 10,
            ascendToGasChange: 3,
            ascendToSurface: 1,
            diversAMS: [15, 17],
        }
    },
    methods: {
        calc: function (event) {
            console.log(event);
            this.store.setSetpoint(this.setpoint);
            this.store.setGroundParameter(this.timeInMin, this.depthInMeters);
            this.store.setAscendParameter(this.ascendToDeco, this.ascendToGasChange, this.ascendToSurface);
            this.store.setDiversAMS(this.diversAMS);
            console.log(this.store.getHighestAMS);
        }
    }
}
</script>
<style scoped>
.input {
     width: 100px;
}

.inputgoups {
    display: flex;
    flex-direction: column;
}

.inputgroup {
    display: flex;
    justify-content: space-between;

    margin-top: 8px;
    margin-bottom: 8px;
}
</style>